List all lists
Lists your calling lists, newest first. Filter by campaign or status.
Parameters
Send as application/x-www-form-urlencoded.
typestringrequiredSelects the operation. Always
get_listsfor this endpoint.tokenstringrequiredYour API token from Log in. See Authentication.
ID of the campaign.
Example1024Only active (Y) or inactive (N) lists.
One ofYNSort by recently added (RA) or recently dialed (RD).
One ofRARD
curl https://api.dcdial.com/api/ \ -d type=get_lists \ -d token="$DCDIAL_TOKEN" \ -d campaign_id=1024 \ -d status=Y \ -d filter=RA<?php$ch = curl_init('https://api.dcdial.com/api/');curl_setopt_array($ch, [ CURLOPT_POST => true, CURLOPT_RETURNTRANSFER => true, CURLOPT_POSTFIELDS => http_build_query([ 'type' => 'get_lists', 'token' => getenv('DCDIAL_TOKEN'), 'campaign_id' => 1024, 'status' => 'Y', 'filter' => 'RA', ]),]);$result = json_decode(curl_exec($ch), true);curl_close($ch);
if (($result['response']['success'] ?? 0) != 1) { throw new RuntimeException($result['response']['error'] ?? 'Request failed');}const res = await fetch('https://api.dcdial.com/api/', { method: 'POST', body: new URLSearchParams({ type: "get_lists", token: process.env.DCDIAL_TOKEN, campaign_id: "1024", status: "Y", filter: "RA", }),});const { response } = await res.json();if (response.success != 1) throw new Error(response.error);import osimport requests
r = requests.post( "https://api.dcdial.com/api/", data={ "type": "get_lists", "token": os.environ["DCDIAL_TOKEN"], "campaign_id": 1024, "status": "Y", "filter": "RA", }, timeout=30,)response = r.json()["response"]if str(response.get("success")) != "1": raise RuntimeError(response.get("error")){ "response": { "success": 1, "error": "", "lists_list": [ { "list_id": "2048", "list_name": "October accounts", "campaign_id": "1024", "campaign_name": "Payment reminders", "active": "Y", "list_description": "Campaign Payment reminders started", "list_changedate": "2026-10-15 14:02:11", "list_lastcalldate": "2026-10-15 14:02:11", "status": "Y" }, { "list_id": "2048", "list_name": "October accounts", "campaign_id": "1024", "campaign_name": "Payment reminders", "active": "Y", "list_description": "Campaign Payment reminders started", "list_changedate": "2026-10-15 14:02:11", "list_lastcalldate": "2026-10-15 14:02:11", "status": "Y" } ] }}Try it